# Uses of Interface
javafx.util.Builder

Packages that use Builder
Package
Description
javafx.fxml
Contains classes for loading an object hierarchy from markup.
javafx.util
Contains various utilities and helper classes.

## Uses of Builder in javafx.fxml

Methods in javafx.fxml that return Builder
Modifier and Type
Method
Description
`Builder<?>`
JavaFXBuilderFactory.`getBuilder(Class<?> type)`
Returns the builder for the specified type, or null if no builder is used.

## Uses of Builder in javafx.util

Methods in javafx.util that return Builder
Modifier and Type
Method
Description
`Builder<?>`
BuilderFactory.`getBuilder(Class<?> type)`
Returns a builder suitable for constructing instances of the given type.